GETMEX(1)

NAME
getmex - get RLE images to an Iris display under the window manager

SYNOPSIS
getmex [ -f ] [ -w ] [ -D ] [ -m mapstart ] [ infile ]

DESCRIPTION
This program displays an RLE(5) file on a Silicon Graphics Iris display running the mex or 4Sight window manager. It uses a dithering technique to take a full-color or gray scale image into the limited number of colors typically available under mex. Its default behavior is to try to display the image in color, an option is provided to force black and white display. Several getmex processes running simultaneously will share color map entries. getmex uses the standard window creation procedure to create a window with a location and size specified by the user, with the restriction that the window will be no larger than the input image. If the window is smaller than the image, the center of the image will be visible in the window. You can "pan" a small window around in an image by attaching the mouse to the window using mex or 4Sight and clicking the left mouse button in the image. The position in the image under the cursor will jump to the center of the window. The SETUP key resets the view to position the center of the image in the center of the window. Furthermore, control-SETUP saves the current view, and shift-SETUP restores it.

OPTIONS

-f  Normally, getmex will fork itself after putting the image on the screen, so that the parent process may return the shell, leaving an "invisible" child to keep the image refreshed. If -f is specified, getmex will remain attached to the shell, whence it may be killed with an interrupt signal or via the window manager.

-w  This flag forces getmex to produce a gray scale dithered image instead of a color image. Color input will be transformed to black and white via the NTSC Y transform. Since a 128-step greyscale is used, this will produce a much smoother looking image than color dithering.

-D  "Debug mode". The operations in the input RLE(5) file will be printed as they are read.

-m mapstart
    Specifies the starting location of the block of color map to be used by getmex . (There are 1024 colors available on the Iris 2400/3000s under mex.) The default for color images is a block of 512 rgb colors starting at location 512 in the color map. Black-and-white images default to a block of 128 grey shades starting at location 128. Both the rgb and grey ramps are gamma-corrected in the same way as the makemap program in the /usr/gifts/mextools/tools directory. You probably want to set up your initial color map using makemap .

infile
    Name of the RLE(5) file to display. If not specified, the image will be read from the standard input.

SEE ALSO
get4d(1), getiris(1), urt(1), RLE(5).

AUTHOR
Russ Fish, University of Utah.